---
title: RTCRtpStreamStats.firCount
slug: Web/API/RTCRtpStreamStats/firCount
tags:
  - API
  - Dropped Frames
  - Frames
  - Media
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - firCount
  - rtc
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>firCount</code></strong> property of the {{domxref("RTCRtpStreamStats")}} dictionary indicates the number of <strong>Full Intra Request</strong> (<strong>FIR</strong>) packets have been sent by the receiver to the sender.</span> This is a measure of how often the stream falls behind and has to skip frames in order to catch up.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>firCount</em> = <em>RTCRtpStreamStats</em>.firCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating how many FIR packets have been received by the sender during the current connection. This value is available only on receivers for video tracks.</p>

<p>The receiver sends a FIR packet to the sender any time it falls bahind or loses packets and cannot decode the incoming stream any longer because of the lost data. This tells the sender to send a full frame instead of a delta frame, so that the receiver can catch up.</p>

<p>The higher <code>firCount</code> is, the more often frames were dropped, which may be an indication that the media's bit rate is too high for the available bandwidth, or that the receiving device is overburdened and is therefore unable to process the incoming data.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-fircount', 'RTCInboundRtpStreamStats: firCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcoutboundrtpstreamstats-fircount', 'RTCOutboundRtpStreamStats: firCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.firCount")}}</p>
